ImageSymbol Class Reference

A QwtSymbol displaying a custom image. More...

`#include <ImageSymbol.h>`

Inheritance diagram for ImageSymbol:

## Public Member Functions

virtual ImageSymbol * | clone () const
virtual void | draw (QPainter *p, const QRect &r) const
| Draw the symbol into a bounding rectangle. More...
QString | imagePath ()
| ImageSymbol (const QString &fileName)
| ImageSymbol (const QPixmap &pixmap, const QString &fileName=QString())
QPixmap | pixmap ()

## Private Attributes

QString | d_image_path
QPixmap | d_pixmap

## Detailed Description

A QwtSymbol displaying a custom image.

## Constructor & Destructor Documentation

ImageSymbol::ImageSymbol | ( | const QString & | fileName | ) |

References d_pixmap.

Referenced by clone().

ImageSymbol::ImageSymbol | ( | const QPixmap & | pixmap,
|  | const QString & | fileName = `QString()`
| ) |  |

References d_pixmap.

## Member Function Documentation

ImageSymbol * ImageSymbol::clone | ( |  | ) | const

virtual

References d_image_path, and ImageSymbol().

void ImageSymbol::draw | ( | QPainter * | p,
|  | const QRect & | r
| ) |  | const

virtual

Draw the symbol into a bounding rectangle.

Parameters

  painter | Painter
  r | Bounding rectangle

References d_pixmap.

QString ImageSymbol::imagePath | ( |  | ) |

inline

References d_image_path.

Referenced by PlotCurve::saveCurveSymbolImage(), and PlotDialog::setActiveCurve().

QPixmap ImageSymbol::pixmap | ( |  | ) |

inline

References d_pixmap.

Referenced by PlotDialog::applySymbolsFormatToCurve(), PlotCurve::saveCurveSymbolImage(), and PlotDialog::setActiveCurve().

## Member Data Documentation

QString ImageSymbol::d_image_path

private

Referenced by clone(), and imagePath().

QPixmap ImageSymbol::d_pixmap

private

Referenced by draw(), ImageSymbol(), and pixmap().

The documentation for this class was generated from the following files:

- qtiplot/src/plot2D/ImageSymbol.h
- qtiplot/src/plot2D/ImageSymbol.cpp